Show / Hide Table of Contents

# Class SimpleOGL3

A simple wrapper for a minimal OpenGL 3.2 renderer. Consumers of this class will need to implement all actual pipeline and render logic externally.

##### Inheritance

System.Object
SimpleOGL3

##### Implements

IRenderer
System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class SimpleOGL3 : IRenderer, IDisposable

### Properties

| Improve this Doc View Source

#### ClearColor

The clear color used by Clear()

##### Declaration

    public Vector4 ClearColor { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### ContextMajorVersion

##### Declaration

    public int ContextMajorVersion { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ContextMinorVersion

##### Declaration

    public int ContextMinorVersion { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Debuggable

Whether this renderer was created with debuggable state.

##### Declaration

    public bool Debuggable { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Type

The type (API/version) of this renderer

##### Declaration

    public RendererFactory.RendererBackend Type { get; }

##### Property Value

Type | Description
--- | ---
RendererFactory.RendererBackend |

| Improve this Doc View Source

#### Vsync

Whether or not the renderer should sync presentation to the monitor's refresh rate.

##### Declaration

    public bool Vsync { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### AttachToWindow(SimpleSDLWindow)

Initialize OpenGL for the specified window.

##### Declaration

    public void AttachToWindow(SimpleSDLWindow sdlWindow)

##### Parameters

Type | Name | Description
--- | --- | ---
SimpleSDLWindow | sdlWindow | The SimpleSDLWindow to render into

| Improve this Doc View Source

#### Clear()

Clear the render view.

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### CreateTexture(Void*, Int32, Int32, Int32)

##### Declaration

    public TextureWrap CreateTexture(void *pixelData, int width, int height, int bytesPerPixel)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | pixelData |
System.Int32 | width |
System.Int32 | height |
System.Int32 | bytesPerPixel |

##### Returns

Type | Description
--- | ---
TextureWrap |

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Dispose(Boolean)

##### Declaration

    protected virtual void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing |

| Improve this Doc View Source

#### Finalize()

##### Declaration

    protected void Finalize()

| Improve this Doc View Source

#### ImGui_Init()

##### Declaration

    public void ImGui_Init()

| Improve this Doc View Source

#### ImGui_NewFrame()

##### Declaration

    public void ImGui_NewFrame()

| Improve this Doc View Source

#### ImGui_RenderDrawData(ImDrawDataPtr)

##### Declaration

    public void ImGui_RenderDrawData(ImDrawDataPtr drawData)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawDataPtr | drawData |

| Improve this Doc View Source

#### ImGui_Shutdown()

##### Declaration

    public void ImGui_Shutdown()

| Improve this Doc View Source

#### Present()

Swap the render buffer to the screen.

##### Declaration

    public void Present()

### Implements

IRenderer
System.IDisposable